Bug 908029 (CVE-2012-2686)

Summary: CVE-2012-2686 openssl: DoS due to improper handling of CBC ciphersuites in TLS 1.1/1.2 on AES-NI supporting platforms
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130205,reported=20130205,source=internet,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-5/openssl=notaffected,rhel-6/openssl=notaffected,rhel-5/openssl097a=notaffected,rhel-6/openssl098e=notaffected,fedora-18/openssl=affected
Fixed In Version: openssl 1.0.1d Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-18 19:36:23 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 908032    
Bug Blocks:    

Description Vincent Danen 2013-02-05 12:09:54 EST
A flaw in the OpenSSL handling of CBC ciphersuites in TLS 1.1 and TLS 1.2 on AES-NI (Advanced Encryption Standard New Instructions) supporting platforms [1] can be exploited in a DoS attack.

Anyone using an AES-NI platform for TLS 1.2 or TLS 1.1 on OpenSSL 1.0.1c is affected. Platforms which do not support AES-NI or versions of OpenSSL which do not implement TLS 1.2 or 1.1 (for example OpenSSL 0.9.8 and 1.0.0) are not affected.

[1] http://en.wikipedia.org/wiki/AES-NI#Supporting_CPUs


External References:

http://www.openssl.org/news/secadv_20130205.txt
Comment 1 Vincent Danen 2013-02-05 12:14:08 EST
Statement:

Not vulnerable. This issue did not affect the versions of OpenSSL as shipped with Red Hat Enterprise Linux 5 and 6 as they did not include support for TLS 1.2 or 1.1.
Comment 2 Vincent Danen 2013-02-05 12:14:52 EST
Created openssl tracking bugs for this issue

Affects: fedora-18 [bug 908032]
Comment 3 Tomas Hoger 2013-02-06 08:28:13 EST
Fix for this is included as part of the changeset which is one of the several changesets added to address CVE-2013-0169 in OpenSSL (bug 907589):

http://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=125093b59f3c2a2d33785b5563d929d0472f1721